10  REM THIS PROGRAM CALCULATES YIELD OF 
20  REM SEMICONDUCTOR WAFERS
30  REM
40  PI=3.14159
50  REM SET DEFAULT VARIABLES
60  WAFSIZ=3
70  NMASKS=6
80  DEFDEN=6
90  EDGE=0.2
95  COST=100
100  REM
110  REM SHOW DEFAULTS AND GET USER DATA
120  CLS
130  LOCATE 1,1
140  PRINT
150  PRINT "WAFER SIZE          (" WAFSIZ ")INCH";
160  INPUT W
170  IF W<>0 THEN WAFSIZ=W
180  PRINT
190  PRINT "CRITICAL MASKS      (" NMASKS ")";
200  INPUT C
210  IF C<>0 THEN NMASKS=C
220  PRINT
230  PRINT "DEFECT DENSITY      (" DEFDEN ")PER SQ INCH";
240  INPUT D
250  IF D<>0 THEN DEFDEN=D
260  PRINT
270  PRINT "ENTER CHIP DIMENSIONS IN MILS"
280  PRINT
290  INPUT "X=   ",X
300  INPUT "Y=   ",Y
310  AREA=X*Y*9.99E-07
320  IF X>Y THEN DIAG=X*0.000999999 ELSE DIAG=Y*0.000999999
330  IF DIAG>=EDGE THEN EFFAREA=PI*(WAFSIZ/2-DIAG)^2 ELSE EFFAREA=PI*(WAFSIZ/2-EDGE)^2
340  GROSS=FIX(EFFAREA/AREA)
350  NET=GROSS*(1/(1+AREA*DEFDEN)^NMASKS)
360  NET=FIX(NET)
370  YIELD=FIX(100*NET/GROSS)
380  PRINT
390  PRINT "GROSS DIE PER WAFER  " GROSS
400  PRINT
410  PRINT "NET DIE PER WAFER    " NET
420  PRINT
430  PRINT "PERCENT YIELD        " YIELD
440  PRINT
450  PRINT
460  PRINT "WAFER COST   (" COST ") DOLLARS";
470  INPUT DOL
480  IF DOL<>0 THEN COST=DOL
490  DIECOST=COST/NET
500  PRINT
510  PRINT "DIE COST     ";
520  PRINT USING "##.####"; DIECOST
